# Get Transaction History

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Fund Management", href: "/trading/rest-api/fund-management" },
    { label: "Get Transaction History" },
  ]}
  title="Get Transaction History"
  method="POST"
  url="https://api.gemini.com/v1/transactions"
  description="Returns trade details and transactions for the account. Supports pagination via a continuation token. Historical data is only available for dates after August 1st, 2022."
  note={{
    title: "Note",
    children: (
      <p style={{ margin: 0 }}>Due to current limitations, historical data can only be returned for dates after August 1st, 2022. Use <InlineBadge>continuation_token</InlineBadge> for pagination — do not use it together with <InlineBadge>timestamp_nanos</InlineBadge>.</p>
    ),
  }}
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/transactions",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        request: "/v1/transactions",
        nonce: "<nonce>",
        limit: 100,
      },
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <>
          <p style={{ margin: "0 0 2px" }}>The API key you use to access this endpoint must have the Trader, Fund Manager, or Auditor role assigned, with master account scope. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
          <p style={{ margin: 0 }}>The OAuth scope must have <InlineBadge>history:read</InlineBadge> assigned to access this endpoint. See <a href="/authentication/oauth#oauth-scopes" style={{ color: "inherit", textDecorationLine: "underline" }}>OAuth Scopes</a> for more information.</p>
        </>
      ),
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="getTransactionHistory" />,
    },
    {
      heading: "Request Body",
      children: <SpecParams operationId="getTransactionHistory" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="getTransactionHistory" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "Transfer Between Accounts", href: "/trading/rest-api/fund-management/transfer-between-accounts" }}
/>
